AMAVISD-NEW(8)

NAME
amavisd-new - Interface between MTA and virus scanner/content filters

SYNOPSIS
amavisd-new [ -u userid ] [ -g groupid ] [ -c config-file ]... [ start | stop | reload | debug | debug-sa | foreground ]

DESCRIPTION
amavisd is a high-performance interface between message transfer agent (MTA) and virus scanners and/or spam scanners.

This is the amavisd-new incarnation of amavisd. It is a performance-enhanced and feature-enriched version of the original amavisd program.

Amavisd-new works as a SMTP proxy. Email is fed to it through SMTP, processed, and fed back to the MTA through a new SMTP connection. There is no buffering to disk by amavis, it will report that the transfer was sucessfull only after the forwarding MTA has accepted the message.

It is possible to use the sendmail milter interface instead of the SMTP proxy method, as well.

OPTIONS

-c configfile
    Use the specified configuration file instead of using run-parts(8) to find config files in /usr/share/amavis/conf.d and /etc/amavis/conf.d (this is a Debian extension to Amavisd-new). More than one -c option can be specified and the files will be read in the order given.

-u userid
    Try to switch to that user id.

-g groupid
    Try to switch to that group id.

start
    Starts amavisd-new

stop
    Stops a running amavisd-new

reload
    Reloads configuration from config file (may in fact just restart amavisd-new)

debug
    Runs amavisd-new in debug mode

debug-sa
    Runs amavisd-new in spamassassin debug mode

foreground
    Does not fork to background

FILES
/etc/amavis/amavisd.conf, /var/lib/amavis, /var/run/amavis/amavisd.pid

SEE ALSO
/usr/share/doc/amavisd-new/*

AUTHOR
This manual page was written by Henrique de Moraes Holschuh <hmh@debian.org>, for the Debian GNU/Linux system (but may be used by others).